# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/can/microchip,mcp2510.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Microchip MCP251X stand-alone CAN controller

maintainers:
  - Marc Kleine-Budde <mkl@pengutronix.de>

properties:
  compatible:
    enum:
      - microchip,mcp2510
      - microchip,mcp2515
      - microchip,mcp25625

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  interrupts:
    maxItems: 1

  vdd-supply:
    description: Regulator that powers the CAN controller.

  xceiver-supply:
    description: Regulator that powers the CAN transceiver.

  gpio-controller: true

  "#gpio-cells":
    const: 2

required:
  - compatible
  - reg
  - clocks
  - interrupts

allOf:
  - $ref: /schemas/spi/spi-peripheral-props.yaml#

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    spi {
        #address-cells = <1>;
        #size-cells = <0>;

        can@1 {
            compatible = "microchip,mcp2515";
            reg = <1>;
            clocks = <&clk24m>;
            interrupt-parent = <&gpio4>;
            interrupts = <13 IRQ_TYPE_LEVEL_LOW>;
            vdd-supply = <&reg5v0>;
            xceiver-supply = <&reg5v0>;
            gpio-controller;
            #gpio-cells = <2>;
        };
    };

